#pragma once

#include <library/cpp/yconf/conf.h>

#include <util/generic/string.h>

struct TRTYServerConfig;

namespace NRTYServer {

    struct TLoggerConfig {
        TString JournalDir;
        const TRTYServerConfig& Owner;
        TLoggerConfig(const TRTYServerConfig& owner);
        void Init(const TYandexConfig::Directives& directives);
        TString ToString() const;
    };

}
